Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.bind
Class PortletRequestBindingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.bind.PortletRequestBindingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MissingPortletRequestParameterException

    public class PortletRequestBindingException

extends javax.portlet.PortletException

Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  Serialized Form

Constructor Summary
`PortletRequestBindingException(String msg)` Constructor for PortletRequestBindingException.
`PortletRequestBindingException(String msg, Throwable cause)` Constructor for PortletRequestBindingException.

Method Summary

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRequestBindingException

    public PortletRequestBindingException(String msg)

  Constructor for PortletRequestBindingException.

  Parameters:
    `msg` - the detail message

### PortletRequestBindingException

    public PortletRequestBindingException(String msg,
                                          Throwable cause)

  Constructor for PortletRequestBindingException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.